import React from 'react';
export declare function Branch({ from, entry, branchIndex, controller, className, end, }: {
    from?: any;
    entry?: any;
    branchIndex?: number | null;
    controller?: React.ReactNode;
    className?: string;
    end?: boolean;
}): import("react/jsx-runtime").JSX.Element;
